import Vue from 'vue'
import Vuex from 'vuex'

import tags from './tags'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    keyCode: null,
  },
  getters: {},
  mutations: {
    setKeyCode(state, msg) {
      state.keyCode = msg
    },
  },
  actions: {
    setKeyCode({ commit }, msg) {
      commit('setKeyCode', msg)
    },
  },
  modules: {
    tags,
  },
})
